local AL = AceLibrary("AceLocale-2.2"):new("AtlasLoot");

-- Colours stored for code readability
local GREY = "|cff999999";
local RED = "|cffff0000";
local WHITE = "|cffFFFFFF";
local GREEN = "|cff1eff00";
local PURPLE = "|cff9F3FFF";
local BLUE = "|cff0070dd";
local ORANGE = "|cffFF8400";

--Fix for Atlas 1.10.3
function Atlas1103Compat()
    AtlasLootBossButtons["BlackrockDepths"] = {
        "OldKeys";
        "OldKeys";
        "OldKeys";
        "";
        "BRDLordRoccor";
        "";
        "";
        "";
        "BRDHighInterrogatorGerstahn";
        "";
        "BRDArena";
        "BRDArena";
        "BRDArena";
        "BRDArena";
        "BRDArena";
        "BRDArena";
        "BRDTheldren";
        "";
        "";
        "";
        "";
        "";
        "BRDHoundmaster";
        "LunarFestival1";
        "";
        "BRDForgewright";
        "BRDPyromantLoregrain";
        "BRDTheVault";
        "BRDWarderStilgiss";
        "BRDVerek";
        "";
        "BRDFineousDarkvire";
        "";
        "BRDLordIncendius";
        "BRDBaelGar";
        "";
        "BRDGeneralAngerforge";
        "BRDGolemLordArgelmach";
        "";
        "";
        "BRDGuzzler";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "BRDFlamelash";
        "BRDPanzor";
        "";
        "BRDTomb";
        "BRDLyceum";
        "BRDMagmus";
        "BRDImperatorDagranThaurissan";
        "BRDPrincess";
        "BRDPrincess";
        "";
        "";
        "";
        "BRDPyron";
        "BRDBSPlans";
        "";
        "BRDTrash";
        "BLACKROCKD";
        };
        
    AtlasLootBossButtons["BlackfathomDeeps"] = {
        "";
        "BFDGhamoora";
        "BFDQuestItems";
        "BFDLadySarevess";
        "";
        "BFDGelihast";
        "";
        "";
        "BFDQuestItems";
        "BFDBaronAquanis";
        "BFDTwilightLordKelris";
        "BFDOldSerrakis";
        "BFDAkumai";
        "";
        "";
        "";
        "BFDTrash";
        };
        
    AtlasLootBossButtons["RazorfenDowns"] = {
        "";
        "RFDTutenkash";
        "RFDHenryStern";
        "";
        "";
        "RFDMordreshFireEye";
        "RFDGlutton";
        "RFDRagglesnout";
        "RFDAmnennar";
        "RFDPlaguemaw";
        "";
        "RFDTrash";
        };
        
    AtlasLootBossButtons["TheTempleofAhnQiraj"] = {
        "AQBroodRings";
        "";
        "AQ40Skeram";
        "";
        "AQ40Vem";
        "AQ40Vem";
        "AQ40Vem";
        "AQ40Sartura";
        "AQ40Fankriss";
        "AQ40Viscidus";
        "AQ40Huhuran";
        "";
        "AQ40Emperors";
        "AQ40Emperors";
        "AQ40Ouro";
        "AQ40CThun";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "AQ40Trash1";
        "AQEnchants";
        "AQ40SET";
        "AQOpening";
        };
        
    AtlasLootBossButtons["BlackTempleTop"] = {
        "";
        "Ashtongue1";
        "BCKeys";
        "";
        "BTShahraz";
        "BTCouncil";
        "";
        "";
        "";
        "";
        "BTIllidanStormrage";
        "";
        "BTPatterns";
        "BTTrash";
        };

    AtlasLootBossButtons["CoTBlackMorass"] = {
        "";
        "";
        "KeepersofTime1";
        "BCKeys";
        "";
        "";
        "";
        "CoTMorassDeja";
        "CoTMorassTemporus";
        "CoTMorassAeonus";
        "";
        "";
        "";
        "CoTMorassTrash";
        };

    AtlasLootBossButtons["CoTHyjal"] = {
        "";
        "";
        "ScaleSands1";
        "";
        "";
        "";
        "";
        "";
        "";
        "MountHyjalWinterchill";
        "MountHyjalAnetheron";
        "MountHyjalKazrogal";
        "MountHyjalAzgalor";
        "MountHyjalArchimonde";
        "";
        "MountHyjalTrash";
        };

    AtlasLootBossButtons["FourDragons"] = {
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "DLethon";
        "DEmeriss";
        "DTaerar";
        "DYsondre";
        };

    AtlasLootBossButtons["KarazhanEnt"] = {
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "KaraCharredBoneFragment";
        };

    AtlasLootBossButtons["KarazhanStart"] = {
        "";
        "VioletEye1";
        "BCKeys";
        "BCKeys";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "KaraNamed";
        "KaraNamed";
        "KaraNamed";
        "";
        "";
        "KaraAttumen";
        "";
        "";
        "KaraMoroes";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "KaraKeannaLog";
        "KaraMaiden";
        "";
        "";
        "";
        "KaraOperaEvent";
        "KaraOperaEvent";
        "KaraOperaEvent";
        "";
        "KaraNightbane";
        "";
        "KaraTrash";
        };

    AtlasLootBossButtons["KarazhanEnd"] = {
        "";
        "VioletEye1";
        "BCKeys";
        "BCKeys";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "";
        "KaraCurator";
        "";
        "";
        "";
        "KaraIllhoof";
        "";
        "KaraAran";
        "KaraNetherspite";
        "";
        "";
        "KaraChess";
        "KaraPrince";
        "";
        "KaraTrash";
        };

    AtlasLootBossButtons["BlackrockSpireLower"] = {
        "OldKeys";
        "";
        "";
        "";
        "";
        "";
        "LBRSQuestItems";
        "LBRSSpirestoneButcher";
        "LBRSOmokk";
        "LBRSSpirestoneLord";
        "LBRSLordMagus";
        "LBRSVosh";
        "LBRSQuestItems";
        "";
        "LBRSVoone";
        "LBRSGrayhoof";
        "LBRSQuestItems";
        "LBRSQuestItems";
        "LBRSQuestItems";
        "LBRSQuestItems";
        "LBRSGrimaxe";
        "LBRSSmolderweb";
        "LBRSCrystalFang";
        "";
        "LBRSDoomhowl";
        "LBRSZigris";
        "LBRSHalycon";
        "LBRSSlavener";
        "LBRSBashguud";
        "LBRSWyrmthalak";
        "";
        "LBRSTrash";
        "T0SET";
        };

    AtlasLootBossButtons["BlackrockSpireUpper"] = {
        "OldKeys";
        "OldKeys";
        "";
        "";
        "";
        "UBRSEmberseer";
        "UBRSSolakar";
        "UBRSFLAME";
        "UBRSQuestItems";
        "UBRSRunewatcher";
        "UBRSAnvilcrack";
        "UBRSRend";
        "UBRSGyth";
        "";
        "UBRSBeast";
        "UBRSValthalak";
        "";
        "UBRSDrakkisath";
        "";
        "";
        "";
        "";
        "UBRSTrash";
        "T0SET";
        };
end
